div[id^="itb-tests-execution-"] {
  .itb-header {
    position: fixed;
    right: 0;
    z-index: 2;

    .close-icon,
    .minimize-icon {
      width: 24px;
      height: 24px;
    }

    .stop-button,
    .reports-button {
      min-width: fit-content;
      border-radius: 0 !important;
    }

    .stop-button {
      border: 1px solid #da1e28 !important;
    }
  }

  .title {
    padding: 64px 1.5rem 0 1.5rem;
  }

  .execution-summary {
    padding: 1.5rem;
  }

  .specification-panel {
    border-radius: 8px !important;
  }

  mat-icon.icon-size {
    height: 22px;
    width: 22px;
    font-size: 22px;
  }

  .test-cases-section {
    padding: 1.5rem;
  }

  mat-icon.check-circle-icon,
  mat-icon.cancel-icon {
    height: 18px;
    width: 18px;
    font-size: 18px;
  }

  mat-icon.check-circle-icon {
    margin-right: 8px;
  }

  .result-summary .slabs-comp .slabs-chip {
    margin: 0;
  }

  .flex-1-1-50 {
    flex: 1 1 50%;
  }

  .mat-expansion-panel-header-title,
  .mat-expansion-panel-header-description {
    flex-basis: unset !important;
  }

  .cached-icon {
    animation-name: rotating-cached-icon;
    animation-duration: 1s;
    animation-iteration-count: infinite;
  }

  .infinite-rotation {
    animation-name: infinite-rotation;
    animation-duration: 0.9s;
    animation-iteration-count: infinite;
  }

  @keyframes infinite-rotation {
    0% {
      transform: rotate(0);
    }
    12.5% {
      transform: rotate(-45deg);
    }
    25% {
      transform: rotate(-90deg);
    }
    37.5% {
      transform: rotate(-135deg);
    }
    50% {
      transform: rotate(-180deg);
    }
    62.5% {
      transform: rotate(-225deg);
    }
    75% {
      transform: rotate(-270deg);
    }
    87.5% {
      transform: rotate(-315deg);
    }
    100% {
      transform: rotate(-360deg);
    }
  }
}
